Omniplex Docs

Reminders

These API endpoints are related to reminders on Omniplex

Get User Reminders

GET
/users/{id}/reminders

Gets a users reminders

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

id*string

User ID

Response Body

Success

application/json
  1. response
reminders?array<>
Example Request
curl -X GET 'https://spider.omniplex.gg/users/string/reminders'
Example Response
{  "reminders": [    {      "created_at": "2019-08-24T14:15:22Z",      "last_acked": "2019-08-24T14:15:22Z",      "resolved": {        "avatar": "string",        "name": "string"      },      "target_id": "string",      "target_type": "string",      "user_id": "string"    }  ]}

Delete User Reminders

DELETE
/users/{uid}/{target_type}/{target_id}/reminders

Deletes a users reminders. Returns 204 on success

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

uid*string

User ID

target_type*string

The target type of the entity

target_id*string

The target ID of the entity

Response Body

Success

application/json
  1. response
reminders?array<>
Example Request
curl -X DELETE 'https://spider.omniplex.gg/users/string/string/string/reminders'
Example Response
{  "reminders": [    {      "created_at": "2019-08-24T14:15:22Z",      "last_acked": "2019-08-24T14:15:22Z",      "resolved": {        "avatar": "string",        "name": "string"      },      "target_id": "string",      "target_type": "string",      "user_id": "string"    }  ]}

Create User Reminder

PUT
/users/{uid}/{target_type}/{target_id}/reminders

Creates a new user reminders of an entity

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

uid*string

User ID

target_type*string

The target type of the entity

target_id*string

The target ID of the entity

Response Body

Success

application/json
  1. response
reminders?array<>
Example Request
curl -X PUT 'https://spider.omniplex.gg/users/string/string/string/reminders'
Example Response
{  "reminders": [    {      "created_at": "2019-08-24T14:15:22Z",      "last_acked": "2019-08-24T14:15:22Z",      "resolved": {        "avatar": "string",        "name": "string"      },      "target_id": "string",      "target_type": "string",      "user_id": "string"    }  ]}